## org.apache.mahout.fpm.pfpgrowth.fpgrowth
Class FPTreeDepthCache

    java.lang.Object
      org.apache.mahout.fpm.pfpgrowth.fpgrowth.FPTreeDepthCache

    public class FPTreeDepthCache

extends Object

Caches large FPTree `Object` for each level of the recursive `FPGrowth` algorithm to reduce allocation overhead.

Constructor Summary
`FPTreeDepthCache()`

Method Summary
`FPTree` `getFirstLevelTree(Integer attr)`
`int` `getHits()`
`int` `getMisses()`
`FPTree` `getTree(int level)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FPTreeDepthCache

    public FPTreeDepthCache()

Method Detail

### getFirstLevelTree

    public final FPTree getFirstLevelTree(Integer attr)

### getHits

    public final int getHits()

### getMisses

    public final int getMisses()

### getTree

    public final FPTree getTree(int level)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.